// -*- c++ -*-
// $Id$
/*
 * Copyright 2004-2007 Spencer Olson
 *
 */

#include "StateParticle.h"
#include <olson-tools/readData.h>
#include <sstream>

/* TODO:  Pick some good value for the mem-limit */
REDEF_NEW_DEL_C(StateParticle,/* freed mem limit (instances) = */ 150000);

std::istream & operator>>(std::istream & input, StateParticle *& p) {
    while (read_past_comment(input));

    char line[1024] = {0};
    input.getline(line,sizeof(line));
    std::istringstream ins(line);

    if (!input.good()) return input;

    p = new StateParticle();
    int tmp;
    ins >> ((ParticleBase&) (*p) ) >> tmp;
    p->state = (StateParticle::STATE)tmp;
    return input;
}

